#include <stdio.h>
#include <string.h>
#include <time.h>

#include "global.h"
#include "custom.h"


#include "manhat-lib/shared_util.h"
#include "manhat-lib/shared_server_string.h"
#include "manhat-lib/shared_cs_util.h"

static void
super_login_screen(void)
{

  char server_string[MAX_PATH + 1];
  char action[MAX_PATH +1]; 
  get_server_string(server_string, MAX_PATH + 1);   /* shared_server_string.h */
  

  snprintf(action, MAX_PATH +1, "%s/%s/%s",server_string, SBIN_ALIAS,  "super_login");
  cs_set_value("super_action", action);
  cs_set_int_value("time_id", time(NULL));
  cs_set_int_value("max_password",MAX_PASSWORD);
  cs_set_int_value("max_username",MAX_USERNAME);
  cs_set_int_value("super_display",1);

}


int
main ()
{
  cs_cgi_init();
  super_login_screen();
  cs_cgi_display("doorstep", 1);
  cs_cgi_destroy();
  return 0;
}

